<?php

namespace App\Security\Moderation;

use CURLFile;

class Moderation
{
    private String $api_key;

    public function __construct(String $api_key)
    {
        $this->api_key = $api_key;
    }

    public function valide($file_image)
    {
        $params_api = array(
            'media' => new CurlFile($file_image),
            'models' => 'nudity-2.1',
            'api_user' => '26959338',
            'api_secret' => $this->api_key,
        );

        $ch = curl_init('https://api.sightengine.com/1.0/check.json');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $params_api);
        $response = curl_exec($ch);
        curl_close($ch);

        $output = json_decode($response, true);

        $score_nudity = $output["nudity"];
        return $score_nudity["sexual_activity"] < 0.8 &&
            $score_nudity["sexual_display"] < 0.8 &&
            $score_nudity["erotica"] < 0.8;
    }
}